Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Typedefs | Functions
xml.h File Reference

## Classes
class | DOMException
class | XMLDOMNode
| The XMLDOMNode interface is the primary datatype for the entire Document Object Model. More...
class | XMLDOMElement
| The XMLDOMElement interface represents an element in an XML document. More...
class | XMLDOMDocument
| The XMLDOMDocument interface represents an entire XML document. More...
class | XMLDOMNodeList
| The XMLDOMNodeList interface provides the abstraction of an ordered collection of nodes, without defining or constraining how this collection is implemented. More...

## Namespaces
| log4cxx
| log4cxx::helpers

## Typedefs
typedef helpers::ObjectPtrT< XMLDOMNode > | XMLDOMNodePtr
typedef helpers::ObjectPtrT< XMLDOMDocument > | XMLDOMDocumentPtr
typedef helpers::ObjectPtrT< XMLDOMNodeList > | XMLDOMNodeListPtr

## Functions
| LOG4CXX_PTR_DEF (XMLDOMNode)
| LOG4CXX_PTR_DEF (XMLDOMElement)
| LOG4CXX_PTR_DEF (XMLDOMDocument)
| LOG4CXX_PTR_DEF (XMLDOMNodeList)